Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class ReinjectionTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractComponentFactoryTest
          org.picocontainer.injectors.ReinjectionTestCase

    public class ReinjectionTestCase

extends AbstractComponentFactoryTest

Nested Class Summary
`static interface` | `ReinjectionTestCase.Hurrah`
`static class` | `ReinjectionTestCase.NeedsShoe`
`static class` | `ReinjectionTestCase.ReturnParameterAction`
`static class` | `ReinjectionTestCase.Shoe`

Field Summary

Fields inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`picoContainer`

Constructor Summary
`ReinjectionTestCase()`

Method Summary
`void` | `confirmThatReinjectionCanLeverageParameterNamesForDisambiguation()`
`protected org.picocontainer.ComponentFactory` | `createComponentFactory()`
`void` | `testCachedComponentCanBeAnnotatedMethodReinjectedByATransientChildContainer()`
`void` | `testCachedComponentCanBeMethodNameReinjectedByATransientChildContainer()`
`void` | `testCachedComponentCanBeReflectionMethodReinjectedByATransientChildContainer()`
`void` | `testCachedComponentCanBeReinjectedByATransientAnnotatedMethodReinjector()`
`void` | `testCachedComponentCanBeReinjectedByATransientMethodNameReinjector()`
`void` | `testCachedComponentCanBeReinjectedByATransientReflectionMethodReinjector()`
`void` | `testEquals()`
`void` | `testOverloadedReinjectMethodsAreIdentical()`
`void` | `testRegisterComponent()`
`void` | `testUnregisterComponent()`

Methods inherited from class org.picocontainer.tck.AbstractComponentFactoryTest
`setUp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReinjectionTestCase

    public ReinjectionTestCase()

Method Detail

### testCachedComponentCanBeReflectionMethodReinjectedByATransientChildContainer

    public void testCachedComponentCanBeReflectionMethodReinjectedByATransientChildContainer()

### testCachedComponentCanBeMethodNameReinjectedByATransientChildContainer

    public void testCachedComponentCanBeMethodNameReinjectedByATransientChildContainer()

### testCachedComponentCanBeAnnotatedMethodReinjectedByATransientChildContainer

    public void testCachedComponentCanBeAnnotatedMethodReinjectedByATransientChildContainer()

### confirmThatReinjectionCanLeverageParameterNamesForDisambiguation

    public void confirmThatReinjectionCanLeverageParameterNamesForDisambiguation()

### testCachedComponentCanBeReinjectedByATransientReflectionMethodReinjector

    public void testCachedComponentCanBeReinjectedByATransientReflectionMethodReinjector()

### testCachedComponentCanBeReinjectedByATransientMethodNameReinjector

    public void testCachedComponentCanBeReinjectedByATransientMethodNameReinjector()

### testCachedComponentCanBeReinjectedByATransientAnnotatedMethodReinjector

    public void testCachedComponentCanBeReinjectedByATransientAnnotatedMethodReinjector()

### testOverloadedReinjectMethodsAreIdentical

    public void testOverloadedReinjectMethodsAreIdentical()

### createComponentFactory

    protected org.picocontainer.ComponentFactory createComponentFactory()

  Specified by:
    `createComponentFactory` in class `AbstractComponentFactoryTest`

### testRegisterComponent

    public void testRegisterComponent()
                               throws org.picocontainer.PicoCompositionException

  Overrides:
    `testRegisterComponent` in class `AbstractComponentFactoryTest`
  Throws:
    `org.picocontainer.PicoCompositionException`

### testUnregisterComponent

    public void testUnregisterComponent()
                                 throws org.picocontainer.PicoCompositionException

  Overrides:
    `testUnregisterComponent` in class `AbstractComponentFactoryTest`
  Throws:
    `org.picocontainer.PicoCompositionException`

### testEquals

    public void testEquals()
                    throws org.picocontainer.PicoCompositionException

  Overrides:
    `testEquals` in class `AbstractComponentFactoryTest`
  Throws:
    `org.picocontainer.PicoCompositionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.